<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>数据转换：转换为Number</title>
</head>
<body>
    <script>
        console.log(Number('234'));//234
        console.log(typeof(Number('234')));//number
        console.log(Number('234abc'));//NaN
        console.log(Number(''));//0

        console.log(Number(true));//1
        console.log(Number(false));//0

        console.log(Number(null));//0

        console.log(Number(undefined));//NaN

        console.log(Number(3.15));//3.15
        console.log(Number(023));//19
        console.log(Number(0x12));//18
        console.log(Number(-0x12));//-18

        console.log(Number({a:1}));//NaN
        console.log(Number([1,2,3]));//NaN
        console.log(Number([5]));//5

        console.log(parseInt(".21"));//NaN
        console.log(parseInt("10.3"));//10
        console.log(parseFloat('.21'));//0.21
        console.log(parseFloat(".d1"));//NaN
        console.log(parseFloat("10.11.33"));//10.11
        console.log(parseFloat("4.3years"));//4.3
        console.log(parseFloat("he40.3"));//NaN
        

    </script>
</body>
</html>